package com.persagy.dmp.rwd.digital.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.rwd.basic.utils.DigitalMessageHelper;
import com.persagy.dmp.rwd.digital.dao.ObjectRelationMapper;
import com.persagy.dmp.rwd.digital.entity.ObjectRelation;
import com.persagy.dmp.rwd.digital.service.IObjectRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * 关系数据 实现类
 * @author Charlie Yu
 * @date 2021-07-08
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ObjectRelationServiceImpl implements IObjectRelationService {

    @Resource
    private ObjectRelationMapper dao;
    @Autowired
    private DigitalMessageHelper messageSender;

    @Override
    public List<ObjectRelation> queryByCondition(Wrapper<ObjectRelation> queryWrapper) {
        return dao.selectList(queryWrapper);
    }

    @Override
    public Page queryByCondition(Page page, Wrapper<ObjectRelation> queryWrapper) {
        return dao.selectPage(page, queryWrapper);
    }

    @Override
    public List<ObjectRelation> insert(List<ObjectRelation> voList) {
        return null;
    }

    @Override
    public List<ObjectRelation> update(List<ObjectRelation> voList) {
        return null;
    }

    @Override
    public void delete(List<String> idList) {

    }
}
