package com.persagy.dmp.define.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 关系定义
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_define_rel", autoResultMap = true)
public class RelationDefine extends AuditableEntity {
    /** 编码 */
    private String code;
    /** 名称 */
    private String name;
    /** 图类型编码 */
    private String graphCode;
    /** 边方向性 */
    private Integer directional;
    /** 边属性 */
    private String attribute;
    /** 主要连接对象 */
    private String targetObjs;
    /** 备注 */
    private String remark;
}
